#define		MAXLEVELS  5

RECT			frameobjects[NUMFRAMESOBJECTS];
long			level;
long			total_balls[MAXLEVELS];
bool			levelup = false;

//************		PROTOTIPI      ************//

VOID InitTotalBalls();
VOID ControlTotalBalls();
VOID InitArrayObjects();
VOID MatrixCreateSurface();
VOID InitMatrixLevel1();
VOID InitCollisionLevel1();
VOID InitMatrixLevel2();
VOID InitCollisionLevel2();
VOID InitMatrixLevel3();
VOID InitCollisionLevel3();
VOID InitMatrixLevel4();
VOID InitCollisionLevel4();
VOID InitMatrixLevel5();
VOID InitCollisionLevel5();
VOID ResetMatrixCollision();
VOID ResetMatrix();
VOID BltMatrixLevel();

//************		PROTOTIPI      ************//

VOID InitTotalBalls()
{
	total_balls[0] = 92;
	total_balls[1] = 137;
	total_balls[2] = 97;
	total_balls[3] = 103;
	total_balls[4] = 112;
}

VOID ControlTotalBalls()
{
	if(total_balls[level-1] == ball_catch)
	{
		ball_catch=0;
		if (level==MAXLEVELS)
		{
			level=1;
			InitMatrixLevel1();
		}
		else
		{
			level++;
			switch(level)
			{
				case 2: InitMatrixLevel2();
				break;
				case 3: InitMatrixLevel3();
				break;
				case 4: InitMatrixLevel4();
				break;
				case 5: InitMatrixLevel5();
				break;
			}
		}
		levelup = true;
	}
}

VOID ResetMatrix()
{
	long i,j;
	for (j=0;j<=MAXMATRIXY-1;j++)
	{
		for (i=0;i<=MAXMATRIXX-1;i++)
		{
			matrixlevel[i][j].surface = NULL;
			matrixlevel[i][j].nframe = NULL;
		}
	}
}

VOID ResetMatrixCollision()
{
	long i,j;
	for (j=0;j<=MAXMATRIXY-1;j++)
	{
		for (i=0;i<=MAXMATRIXX-1;i++)
			matrixlevel[i][j].collisione=0;
	}
}

VOID InitArrayObjects()
{
  long i;
  for(i=0; i<NUMFRAMESOBJECTS;i++)
  {
      frameobjects[i].top    = (i / NUMFRAMESOBJECTS) * SPRITEHEIGHT;
      frameobjects[i].left   = (i % NUMFRAMESOBJECTS) * SPRITEWIDTH;

      frameobjects[i].bottom = frameobjects[i].top  + SPRITEHEIGHT;
      frameobjects[i].right  = frameobjects[i].left + SPRITEWIDTH;
  }
}

VOID MatrixCreateSurface(long row, long col, TCHAR* file_name, long NUMFRAMES, DWORD colorkey, long nfrm)
{
  window->CreateSurfaceFromBitmap(&matrixlevel[row][col].surface,file_name,SPRITEWIDTH*NUMFRAMES,SPRITEHEIGHT);
	matrixlevel[row][col].surface->SetColorKey(colorkey);
	matrixlevel[row][col].sprite.fposx = (row*SPRITEWIDTH)+SPACEXMIN;
	matrixlevel[row][col].sprite.fposy = (col*SPRITEHEIGHT)+SPACEYMIN;
	matrixlevel[row][col].visibilita= true;
	matrixlevel[row][col].nframe = nfrm;
}

//////////   1ST LEVEL    ////////////

VOID InitCollisionLevel1()
{
	long i;
	for (i=0;i<MAXMATRIXX-1;i++)
	{
			matrixlevel[i][0].collisione=1;
			matrixlevel[i][MAXMATRIXY-1].collisione=1;
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
			matrixlevel[0][i].collisione=1;
			matrixlevel[MAXMATRIXX-1][i].collisione=1;
	}			
	for (i=2;i<=8;i++)
	{
			matrixlevel[i][2].collisione=1;
			matrixlevel[i][8].collisione=1;
			matrixlevel[i][10].collisione=1;
			matrixlevel[i][15].collisione=1;
 	}					
	for (i=10;i<=17;i++)
	{
			matrixlevel[i][2].collisione=1;
			matrixlevel[i][8].collisione=1;
			matrixlevel[i][10].collisione=1;
			matrixlevel[i][15].collisione=1;
 	}					
	for (i=2;i<=8;i++)
	{
			matrixlevel[2][i].collisione=1;
			matrixlevel[8][i].collisione=1;
			matrixlevel[10][i].collisione=1;
			matrixlevel[17][i].collisione=1;
 	}					
	for (i=10;i<=15;i++)
	{
			matrixlevel[2][i].collisione=1;
			matrixlevel[8][i].collisione=1;
			matrixlevel[10][i].collisione=1;
			matrixlevel[17][i].collisione=1;
 	}					
 }

VOID InitMatrixLevel1()
{
	long i;
	ResetMatrix();
	ResetMatrixCollision();
	InitArrayObjects();
	InitCollisionLevel1();
	for (i=1;i<MAXMATRIXX-1;i++)
	{
    	MatrixCreateSurface(i,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
    	MatrixCreateSurface(0,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(MAXMATRIXX-1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}			
 	MatrixCreateSurface(0,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(MAXMATRIXX-1,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(0,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(MAXMATRIXX-1,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for (i=3;i<=7;i++)
	{
    	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	}					
	for (i=11;i<=16;i++)
	{
    	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	}					
	for (i=3;i<=7;i++)
	{
    	MatrixCreateSurface(2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(8,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(10,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(17,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	}					
	for (i=11;i<=14;i++)
	{
    	MatrixCreateSurface(2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(8,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(10,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(17,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	}					
 	MatrixCreateSurface(2,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(8,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(10,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(17,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(2,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(8,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(10,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(17,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	MatrixCreateSurface(2,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(8,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(10,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(17,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(2,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(8,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(10,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(17,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	//BALLS
	for (i=2;i<MAXMATRIXX-2;i++)
	{
    	MatrixCreateSurface(i,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
			MatrixCreateSurface(i,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=2;i<MAXMATRIXY-2;i++)
	{
    	MatrixCreateSurface(1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
			MatrixCreateSurface(MAXMATRIXX-2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
 	MatrixCreateSurface(1,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(1,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
	for (i=2;i<=8;i++)
	{
    	MatrixCreateSurface(i,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=10;i<=17;i++)
	{
    	MatrixCreateSurface(i,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=2;i<=8;i++)
	{
    	MatrixCreateSurface(9,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=10;i<=15;i++)
	{
    	MatrixCreateSurface(9,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
}

VOID BltMatrixLevel1()
{
	long i, j;
	for (j=0; j<MAXMATRIXY;j++)
	{
		for (i=0;i<MAXMATRIXX;i++)
		{
			if (matrixlevel[i][j].visibilita)
			window->Blt((DWORD)matrixlevel[i][j].sprite.fposx,(DWORD)matrixlevel[i][j].sprite.fposy,matrixlevel[i][j].surface,&frameobjects[matrixlevel[i][j].nframe]);
		}					
	}
}

//////////   1ST LEVEL    ////////////

//////////   2ND LEVEL    ////////////

VOID InitCollisionLevel2()
{
	long i;
	for (i=0;i<MAXMATRIXX-1;i++)
	{
			matrixlevel[i][0].collisione=1;
			matrixlevel[i][MAXMATRIXY-1].collisione=1;
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
			matrixlevel[0][i].collisione=1;
			matrixlevel[MAXMATRIXX-1][i].collisione=1;
	}			
	for (i=2;i<=3;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][3].collisione=1;
		for(int j=5;j<=10;j++)
		{
			matrixlevel[i][j].collisione=1;
		}
		for(j=12;j<=15;j++)
		{
			matrixlevel[i][j].collisione=1;
		}
 	}					
	for (i=5;i<=6;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][3].collisione=1;
		for(int j=5;j<=10;j++)
		{
			matrixlevel[i][j].collisione=1;
		}
		for(j=12;j<=15;j++)
		{
			matrixlevel[i][j].collisione=1;
		}
 	}		
	for(int j=5;j<=10;j++)
	{
		matrixlevel[7][j].collisione=1;
	}
	matrixlevel[8][2].collisione=1;
	matrixlevel[8][3].collisione=1;
	for(j=5;j<=10;j++)
	{
		matrixlevel[8][j].collisione=1;
	}
	for(j=12;j<=15;j++)
	{
		matrixlevel[8][j].collisione=1;
	}
	matrixlevel[9][2].collisione=1;
	matrixlevel[9][3].collisione=1;
	for(j=12;j<=15;j++)
	{
		matrixlevel[9][j].collisione=1;
	}
	for(j=5;j<=10;j++)
	{
		matrixlevel[10][j].collisione=1;
	}
	for (i=11;i<=12;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][3].collisione=1;
		for(int j=5;j<=10;j++)
		{
			matrixlevel[i][j].collisione=1;
		}
		matrixlevel[i][10].collisione=1;
		for(j=12;j<=15;j++)
		{
			matrixlevel[i][j].collisione=1;
		}
 	}					
	matrixlevel[13][2].collisione=1;
	matrixlevel[13][3].collisione=1;
	for(j=5;j<=10;j++)
	{
		matrixlevel[13][j].collisione=1;
	}
	matrixlevel[14][2].collisione=1;
	matrixlevel[14][3].collisione=1;
	for(j=12;j<=15;j++)
	{
		matrixlevel[14][j].collisione=1;
	}
	for(j=5;j<=10;j++)
	{
		matrixlevel[15][j].collisione=1;
	}
	matrixlevel[15][12].collisione=1;
	matrixlevel[15][15].collisione=1;
	matrixlevel[16][2].collisione=1;
	matrixlevel[16][3].collisione=1;
	matrixlevel[16][5].collisione=1;
	matrixlevel[16][10].collisione=1;
	matrixlevel[16][12].collisione=1;
	matrixlevel[16][15].collisione=1;
	matrixlevel[17][2].collisione=1;
	matrixlevel[17][3].collisione=1;
	for(j=5;j<=10;j++)
	{
		matrixlevel[17][j].collisione=1;
	}
	for(j=12;j<=15;j++)
	{
		matrixlevel[17][j].collisione=1;
	}
}

VOID InitMatrixLevel2()
{
	long i;
	ResetMatrix();
	ResetMatrixCollision();
	InitArrayObjects();
	InitCollisionLevel2();
	for (i=1;i<MAXMATRIXX-1;i++)
	{
    	MatrixCreateSurface(i,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
    	MatrixCreateSurface(0,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(MAXMATRIXX-1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}			
 	MatrixCreateSurface(0,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(MAXMATRIXX-1,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(0,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(MAXMATRIXX-1,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(2,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(3,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(2,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(3,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(5,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(6,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(5,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(6,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(8,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(9,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(8,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(9,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(11,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(14,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(11,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(14,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(12,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	MatrixCreateSurface(13,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	MatrixCreateSurface(12,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	MatrixCreateSurface(13,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	MatrixCreateSurface(16,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(17,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(16,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(17,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(2,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(3,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(5,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(8,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(10,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(13,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(15,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(17,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	for(i=6; i<=9; i++)
	{
		for(int j=2; j<=3; j++)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
		for(j=5; j<=8; j+=3)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
		for(j=10; j<=13; j+=3)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
		for(j=15; j<=17; j+=2)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
	}
 	MatrixCreateSurface(2,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(3,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(5,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(8,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(10,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(13,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(15,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(17,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for(i=5;i<=10;i+=5)
	{
		for(int j=6;j<=7;j++)
		{
			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
		}
		for(j=11;j<=12;j++)
		{
			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
		}
		MatrixCreateSurface(16,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	MatrixCreateSurface(2,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(3,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(5,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(6,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(8,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(9,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(11,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(12,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(14,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(17,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	for(i=13; i<=14; i++)
	{
		for(int j=2; j<=3; j++)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
		for(j=5; j<=6; j++)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
		for(j=8; j<=9; j++)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
		for(j=11; j<=12; j++)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
		for(j=14; j<=17; j+=3)
		{
 			MatrixCreateSurface(j,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
	}
	for(i=15;i<=16;i++)
	{
		MatrixCreateSurface(i,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
		MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	MatrixCreateSurface(2,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(3,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(5,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(6,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(8,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(9,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(11,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(12,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(14,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(17,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	
	//BALLS
	for (i=2;i<MAXMATRIXX-2;i++)
	{
    	MatrixCreateSurface(i,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(i,4,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(i,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
		MatrixCreateSurface(i,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=2;i<MAXMATRIXY-2;i++)
	{
    	MatrixCreateSurface(1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(4,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
		MatrixCreateSurface(MAXMATRIXX-2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=2;i<=3;i++)
	{
    	MatrixCreateSurface(4,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(7,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(10,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(15,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(18,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=5;i<=10;i++)
	{
		if(i!=9)
    		MatrixCreateSurface(9,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(14,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=12;i<=15;i++)
	{
    	MatrixCreateSurface(7,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(10,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(13,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					

	//MEGA BALLS
 
	MatrixCreateSurface(1,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(1,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);

}

//////////   2ND LEVEL    ////////////

//////////   3RD LEVEL    ////////////

VOID InitCollisionLevel3()
{
	long i;
	for (i=0;i<MAXMATRIXX-1;i++)
	{
		matrixlevel[i][0].collisione=1;
		matrixlevel[i][MAXMATRIXY-1].collisione=1;
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
		matrixlevel[0][i].collisione=1;
		matrixlevel[MAXMATRIXX-1][i].collisione=1;
	}			
	for(i=3;i<=16;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][8].collisione=1;
	}
	for(i=3;i<=7;i++)
	{
		matrixlevel[2][i].collisione=1;
		matrixlevel[17][i].collisione=1;
	}
	matrixlevel[2][2].collisione=1;
	matrixlevel[17][2].collisione=1;
	matrixlevel[2][8].collisione=1;
	matrixlevel[17][8].collisione=1;
	for(i=3;i<=4;i++)
	{
		matrixlevel[i][10].collisione=1;
		matrixlevel[i][15].collisione=1;
	}
	for(i=8;i<=10;i++)
	{
		matrixlevel[i][10].collisione=1;
		matrixlevel[i][15].collisione=1;
	}
	matrixlevel[15][13].collisione=1;
	matrixlevel[10][11].collisione=1;
	matrixlevel[10][13].collisione=1;
	for(i=14;i<=16;i++)
	{
		matrixlevel[i][15].collisione=1;
	}
	matrixlevel[3][12].collisione=1;
	matrixlevel[2][14].collisione=1;
	matrixlevel[11][14].collisione=1;
	matrixlevel[9][12].collisione=1;
	for(i=11;i<=14;i++)
	{
		matrixlevel[5][i].collisione=1;
		matrixlevel[7][i].collisione=1;
		matrixlevel[13][i].collisione=1;
		matrixlevel[17][i].collisione=1;
	}
	for(i=11;i<=12;i++)
	{
		matrixlevel[14][i].collisione=1;
		matrixlevel[16][i].collisione=1;
	}
		matrixlevel[2][10].collisione=1;
		matrixlevel[2][13].collisione=1;
		matrixlevel[7][10].collisione=1;
		matrixlevel[9][11].collisione=1;
		matrixlevel[13][10].collisione=1;
		matrixlevel[16][10].collisione=1;
		matrixlevel[5][10].collisione=1;
		matrixlevel[3][11].collisione=1;
		matrixlevel[11][10].collisione=1;
		matrixlevel[11][13].collisione=1;
		matrixlevel[14][10].collisione=1;
		matrixlevel[17][10].collisione=1;
		matrixlevel[3][13].collisione=1;
		matrixlevel[5][15].collisione=1;
		matrixlevel[11][11].collisione=1;
		matrixlevel[11][15].collisione=1;
		matrixlevel[16][13].collisione=1;
		matrixlevel[17][15].collisione=1;
		matrixlevel[2][11].collisione=1;
		matrixlevel[2][15].collisione=1;
		matrixlevel[7][15].collisione=1;
		matrixlevel[9][13].collisione=1;
		matrixlevel[13][15].collisione=1;
		matrixlevel[14][13].collisione=1;
}

VOID InitMatrixLevel3()
{
	long i;
	ResetMatrix();
	ResetMatrixCollision();
	InitArrayObjects();
	InitCollisionLevel3();
	for (i=1;i<MAXMATRIXX-1;i++)
	{
    	MatrixCreateSurface(i,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
    	MatrixCreateSurface(0,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(MAXMATRIXX-1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}			
 	MatrixCreateSurface(0,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(MAXMATRIXX-1,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(0,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(MAXMATRIXX-1,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for(i=3;i<=16;i++)
	{
	 	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 		MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for(i=3;i<=7;i++)
	{
	 	MatrixCreateSurface(2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 		MatrixCreateSurface(17,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}
 	MatrixCreateSurface(2,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(17,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(2,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(17,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for(i=3;i<=4;i++)
	{
	 	MatrixCreateSurface(i,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 		MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for(i=8;i<=10;i++)
	{
	 	MatrixCreateSurface(i,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 		MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
 	MatrixCreateSurface(15,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);	
 	MatrixCreateSurface(10,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);	
 	MatrixCreateSurface(10,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);	
	for(i=14;i<=16;i++)
	{
	 	MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	MatrixCreateSurface(3,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	MatrixCreateSurface(2,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	MatrixCreateSurface(11,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	MatrixCreateSurface(9,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	for(i=11;i<=14;i++)
	{
	 	MatrixCreateSurface(5,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	 	MatrixCreateSurface(7,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	 	MatrixCreateSurface(13,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	 	MatrixCreateSurface(17,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}
	for(i=11;i<=12;i++)
	{
	 	MatrixCreateSurface(14,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	 	MatrixCreateSurface(16,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}
	MatrixCreateSurface(2,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(2,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(7,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(9,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(13,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(16,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
	MatrixCreateSurface(5,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(3,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(11,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(11,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(14,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(17,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(3,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(5,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(11,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(11,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(16,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(17,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(2,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(2,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(7,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(9,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(13,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(14,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);

	//BALLS
	for (i=2;i<MAXMATRIXX-2;i++)
	{
    	MatrixCreateSurface(i,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
		if(i!=9)
    		MatrixCreateSurface(i,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(i,16,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=1;i<MAXMATRIXX-1;i++)
	{
		if(i!=9)
    		MatrixCreateSurface(i,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=2;i<MAXMATRIXY-2;i++)
	{
    	MatrixCreateSurface(1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
		MatrixCreateSurface(MAXMATRIXX-2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
   	MatrixCreateSurface(2,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	for (i=10;i<=15;i++)
	{
    	MatrixCreateSurface(6,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
		MatrixCreateSurface(12,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
   	MatrixCreateSurface(10,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(11,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(15,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(15,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(15,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);

	//MEGA BALLS
 
	MatrixCreateSurface(1,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(1,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);


}

//////////   3RD LEVEL    ////////////

//////////   4TH LEVEL    ////////////

VOID InitCollisionLevel4()
{
	long i;
	for (i=0;i<MAXMATRIXX-1;i++)
	{
		matrixlevel[i][0].collisione=1;
		matrixlevel[i][MAXMATRIXY-1].collisione=1;
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
		matrixlevel[0][i].collisione=1;
		matrixlevel[MAXMATRIXX-1][i].collisione=1;
	}			
	for(i=3;i<=4;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][15].collisione=1;
	}
	for(i=3;i<=5;i++)
		matrixlevel[2][i].collisione=1;
	for(i=13;i<=14;i++)
		matrixlevel[2][i].collisione=1;
	for(i=6;i<=8;i++)
		matrixlevel[5][i].collisione=1;
	for(i=12;i<=14;i++)
		matrixlevel[5][i].collisione=1;
	matrixlevel[4][4].collisione=1;
	matrixlevel[3][7].collisione=1;
	matrixlevel[3][11].collisione=1;
	matrixlevel[2][9].collisione=1;
	matrixlevel[4][10].collisione=1;
	matrixlevel[2][12].collisione=1;
	matrixlevel[2][2].collisione=1;
	matrixlevel[4][3].collisione=1;
	matrixlevel[2][8].collisione=1;
	matrixlevel[4][9].collisione=1;
	matrixlevel[5][2].collisione=1;
	matrixlevel[5][5].collisione=1;
	matrixlevel[3][6].collisione=1;
	matrixlevel[3][10].collisione=1;
	matrixlevel[5][11].collisione=1;
	matrixlevel[5][3].collisione=1;
	matrixlevel[3][8].collisione=1;
	matrixlevel[5][9].collisione=1;
	matrixlevel[3][12].collisione=1;
	matrixlevel[5][15].collisione=1;
	matrixlevel[4][5].collisione=1;
	matrixlevel[2][6].collisione=1;
	matrixlevel[2][10].collisione=1;
	matrixlevel[4][11].collisione=1;
	matrixlevel[2][15].collisione=1;
	for(i=8;i<=10;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][8].collisione=1;
	}
	for(i=3;i<=7;i++)
	{
		matrixlevel[7][i].collisione=1;
		matrixlevel[11][i].collisione=1;
	}
	matrixlevel[7][2].collisione=1;
	matrixlevel[11][2].collisione=1;
	matrixlevel[7][8].collisione=1;
	matrixlevel[11][8].collisione=1;
	for(i=14;i<=16;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][8].collisione=1;
	}
	for(i=3;i<=4;i++)
	{
		matrixlevel[13][i].collisione=1;
		matrixlevel[17][i].collisione=1;
	}
	for(i=5;i<=7;i++)
		matrixlevel[17][i].collisione=1;
	matrixlevel[14][6].collisione=1;
	matrixlevel[13][2].collisione=1;
	matrixlevel[13][7].collisione=1;
	matrixlevel[17][2].collisione=1;
	matrixlevel[14][5].collisione=1;
	matrixlevel[13][8].collisione=1;
	matrixlevel[13][5].collisione=1;
	matrixlevel[17][8].collisione=1;
	matrixlevel[14][7].collisione=1;
	for(i=11;i<=16;i++)
		matrixlevel[i][10].collisione=1;
	for(i=8;i<=11;i++)
		matrixlevel[i][15].collisione=1;
	for(i=15;i<=16;i++)
		matrixlevel[i][15].collisione=1;
	matrixlevel[9][11].collisione=1;
	matrixlevel[13][14].collisione=1;
	matrixlevel[7][11].collisione=1;
	matrixlevel[16][12].collisione=1;
	matrixlevel[8][13].collisione=1;
	matrixlevel[17][14].collisione=1;
	matrixlevel[7][10].collisione=1;
	matrixlevel[7][14].collisione=1;
	matrixlevel[10][10].collisione=1;
	matrixlevel[12][14].collisione=1;
	matrixlevel[16][11].collisione=1;
	matrixlevel[8][10].collisione=1;
	matrixlevel[8][12].collisione=1;
	matrixlevel[14][14].collisione=1;
	matrixlevel[17][10].collisione=1;
	matrixlevel[17][13].collisione=1;
	matrixlevel[7][12].collisione=1;
	matrixlevel[7][15].collisione=1;
	matrixlevel[8][11].collisione=1;
	matrixlevel[14][15].collisione=1;
	matrixlevel[16][13].collisione=1;
	matrixlevel[8][14].collisione=1;
	matrixlevel[10][11].collisione=1;
	matrixlevel[12][15].collisione=1;
	matrixlevel[17][11].collisione=1;
	matrixlevel[17][15].collisione=1;
}

VOID InitMatrixLevel4()
{
	long i;
	ResetMatrix();
	ResetMatrixCollision();
	InitArrayObjects();
	InitCollisionLevel4();
	for (i=1;i<MAXMATRIXX-1;i++)
	{
    	MatrixCreateSurface(i,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
    	MatrixCreateSurface(0,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(MAXMATRIXX-1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}			
 	MatrixCreateSurface(0,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(MAXMATRIXX-1,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(0,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(MAXMATRIXX-1,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for(i=3;i<=4;i++)
	{
    	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for(i=3;i<=5;i++)
    	MatrixCreateSurface(2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	for(i=13;i<=14;i++)
    	MatrixCreateSurface(2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	for(i=6;i<=8;i++)
    	MatrixCreateSurface(5,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	for(i=12;i<=14;i++)
    	MatrixCreateSurface(5,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(4,4,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    MatrixCreateSurface(3,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    MatrixCreateSurface(3,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    MatrixCreateSurface(2,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    MatrixCreateSurface(4,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	MatrixCreateSurface(2,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(2,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(4,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(2,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(4,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(5,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(5,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(3,6,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(3,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(5,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(5,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	MatrixCreateSurface(3,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	MatrixCreateSurface(5,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	MatrixCreateSurface(3,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	MatrixCreateSurface(5,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	MatrixCreateSurface(4,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(2,6,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(2,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(4,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(2,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	for(i=8;i<=10;i++)
	{
	 	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	 	MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for(i=3;i<=7;i++)
	{
	 	MatrixCreateSurface(7,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	 	MatrixCreateSurface(11,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}
 	MatrixCreateSurface(7,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(11,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(7,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(11,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for(i=14;i<=16;i++)
	{
	 	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	 	MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for(i=3;i<=4;i++)
	{
	 	MatrixCreateSurface(13,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	 	MatrixCreateSurface(17,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}
	for(i=5;i<=7;i++)
	 	MatrixCreateSurface(17,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	MatrixCreateSurface(14,6,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	MatrixCreateSurface(13,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(13,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(17,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(14,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(13,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(13,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(17,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
 	MatrixCreateSurface(14,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for(i=11;i<=16;i++)
	 	MatrixCreateSurface(i,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	for(i=8;i<=11;i++)
	 	MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	for(i=15;i<=16;i++)
	 	MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	MatrixCreateSurface(9,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	MatrixCreateSurface(13,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
 	MatrixCreateSurface(7,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	MatrixCreateSurface(16,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	MatrixCreateSurface(8,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	MatrixCreateSurface(17,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
 	MatrixCreateSurface(7,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(7,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(10,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(12,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(16,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(8,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(8,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(14,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(17,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(17,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
	MatrixCreateSurface(7,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(7,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(8,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(14,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(16,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
	MatrixCreateSurface(8,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(10,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(12,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(17,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	MatrixCreateSurface(17,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	
	//BALLS
	for (i=2;i<MAXMATRIXX-2;i++)
	{
    	MatrixCreateSurface(i,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(i,16,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=2;i<=15;i++)
	{
    	MatrixCreateSurface(1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(6,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(18,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
	for (i=7;i<=17;i++)
	{
		if(i!=9)
    		MatrixCreateSurface(i,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
	for (i=2;i<=8;i++)
	{
    	MatrixCreateSurface(12,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
   	MatrixCreateSurface(2,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(2,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(5,4,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(5,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(7,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(9,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(13,6,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(13,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(17,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);

	//MEGA BALLS
 
	MatrixCreateSurface(1,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(1,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);

}
//////////   4TH LEVEL    ////////////

//////////   5TH LEVEL    ////////////

VOID InitCollisionLevel5()
{
	long i;
	for (i=0;i<MAXMATRIXX-1;i++)
	{
		matrixlevel[i][0].collisione=1;
		matrixlevel[i][MAXMATRIXY-1].collisione=1;
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
		matrixlevel[0][i].collisione=1;
		matrixlevel[MAXMATRIXX-1][i].collisione=1;
	}			
	for (i=3;i<=7;i++)
	{
		matrixlevel[2][i].collisione=1;
		matrixlevel[6][i].collisione=1;
		matrixlevel[8][i].collisione=1;
		matrixlevel[14][i].collisione=1;
		matrixlevel[17][i].collisione=1;
		if(i!=7)
		{
			matrixlevel[3][i].collisione=1;
			matrixlevel[5][i].collisione=1;
		}
	}			
	for (i=11;i<=14;i++)
	{
		matrixlevel[2][i].collisione=1;
		matrixlevel[14][i].collisione=1;
	}			
	matrixlevel[12][3].collisione=1;
	matrixlevel[10][5].collisione=1;
	matrixlevel[12][7].collisione=1;
	matrixlevel[4][11].collisione=1;
	matrixlevel[6][11].collisione=1;
	matrixlevel[9][11].collisione=1;
	matrixlevel[11][11].collisione=1;
	matrixlevel[16][11].collisione=1;
	matrixlevel[17][11].collisione=1;
	for (i=3;i<=5;i++)
	{
		matrixlevel[i][8].collisione=1;
	}
	for (i=9;i<=11;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][8].collisione=1;
	}
	for (i=15;i<=16;i++)
	{
		matrixlevel[i][2].collisione=1;
		matrixlevel[i][8].collisione=1;
	}
	for (i=7;i<=8;i++)
	{
		matrixlevel[i][10].collisione=1;
		matrixlevel[i+5][10].collisione=1;
	}
	for (i=3;i<=13;i++)
	{
		matrixlevel[i][15].collisione=1;
	}
	matrixlevel[4][7].collisione=1;
	matrixlevel[11][4].collisione=1;
	matrixlevel[11][6].collisione=1;
	matrixlevel[3][10].collisione=1;
	matrixlevel[5][12].collisione=1;
	matrixlevel[10][12].collisione=1;
	matrixlevel[2][2].collisione=1;
	matrixlevel[5][2].collisione=1;
	matrixlevel[8][2].collisione=1;
	matrixlevel[14][2].collisione=1;
	matrixlevel[10][4].collisione=1;
	matrixlevel[2][10].collisione=1;
	matrixlevel[6][10].collisione=1;
	matrixlevel[11][10].collisione=1;
	matrixlevel[16][10].collisione=1;
	matrixlevel[16][14].collisione=1;
	matrixlevel[3][2].collisione=1;
	matrixlevel[6][2].collisione=1;
	matrixlevel[12][2].collisione=1;
	matrixlevel[17][2].collisione=1;
	matrixlevel[12][6].collisione=1;
	matrixlevel[4][10].collisione=1;
	matrixlevel[9][10].collisione=1;
	matrixlevel[14][10].collisione=1;
	matrixlevel[17][10].collisione=1;
	matrixlevel[17][14].collisione=1;
	matrixlevel[3][7].collisione=1;
	matrixlevel[10][6].collisione=1;
	matrixlevel[2][8].collisione=1;
	matrixlevel[8][8].collisione=1;
	matrixlevel[14][8].collisione=1;
	matrixlevel[4][12].collisione=1;
	matrixlevel[9][12].collisione=1;
	matrixlevel[16][12].collisione=1;
	matrixlevel[2][15].collisione=1;
	matrixlevel[16][15].collisione=1;
	matrixlevel[5][7].collisione=1;
	matrixlevel[6][8].collisione=1;
	matrixlevel[12][8].collisione=1;
	matrixlevel[12][4].collisione=1;
	matrixlevel[17][8].collisione=1;
	matrixlevel[6][12].collisione=1;
	matrixlevel[11][12].collisione=1;
	matrixlevel[17][12].collisione=1;
	matrixlevel[14][15].collisione=1;
	matrixlevel[17][15].collisione=1;
}

VOID InitMatrixLevel5()
{
	long i;
	ResetMatrix();
	ResetMatrixCollision();
	InitArrayObjects();
	InitCollisionLevel5();
	for (i=1;i<MAXMATRIXX-1;i++)
	{
    	MatrixCreateSurface(i,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}					
	for (i=1;i<MAXMATRIXY-1;i++)
	{
    	MatrixCreateSurface(0,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(MAXMATRIXX-1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}			
 	MatrixCreateSurface(0,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
 	MatrixCreateSurface(MAXMATRIXX-1,0,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
 	MatrixCreateSurface(0,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
 	MatrixCreateSurface(MAXMATRIXX-1,MAXMATRIXY-1,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
	for (i=3;i<=7;i++)
	{
    	MatrixCreateSurface(2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(6,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(8,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(14,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(17,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		if(i!=7)
		{
	    	MatrixCreateSurface(3,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
			MatrixCreateSurface(5,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
		}
	}			
	for (i=11;i<=14;i++)
	{
    	MatrixCreateSurface(2,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
    	MatrixCreateSurface(14,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	}			
   	MatrixCreateSurface(12,3,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(10,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(12,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(4,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(6,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(9,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(11,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(16,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
   	MatrixCreateSurface(17,11,"image/objects.bmp",NUMFRAMESOBJECTS,0,1);
	for (i=3;i<=5;i++)
	{
    	MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for (i=9;i<=11;i++)
	{
    	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for (i=15;i<=16;i++)
	{
    	MatrixCreateSurface(i,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface(i,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for (i=7;i<=8;i++)
	{
    	MatrixCreateSurface(i,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
    	MatrixCreateSurface((i+5),10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
	for (i=3;i<=13;i++)
	{
    	MatrixCreateSurface(i,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
	}
   	MatrixCreateSurface(4,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
   	MatrixCreateSurface(11,4,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
   	MatrixCreateSurface(11,6,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
   	MatrixCreateSurface(3,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
   	MatrixCreateSurface(5,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
   	MatrixCreateSurface(10,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,0);
   	MatrixCreateSurface(2,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(5,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(8,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(14,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(10,4,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(2,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(6,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(11,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(16,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(16,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,2);
   	MatrixCreateSurface(3,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(6,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(12,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(17,2,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(12,6,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(4,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(9,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(14,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(17,10,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(17,14,"image/objects.bmp",NUMFRAMESOBJECTS,0,3);
   	MatrixCreateSurface(3,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(10,6,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(2,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(8,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(14,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(4,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(9,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(16,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(2,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(16,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,5);
   	MatrixCreateSurface(5,7,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(6,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(12,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(12,4,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(17,8,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(6,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(11,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(17,12,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(14,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);
   	MatrixCreateSurface(17,15,"image/objects.bmp",NUMFRAMESOBJECTS,0,4);

	//BALLS
	for (i=2;i<MAXMATRIXX-2;i++)
	{
    	MatrixCreateSurface(i,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
		if(i!=9)
    		MatrixCreateSurface(i,9,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(i,16,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}					
	for (i=2;i<=15;i++)
	{
    	MatrixCreateSurface(1,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(18,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
	for (i=2;i<=8;i++)
	{
    	MatrixCreateSurface(7,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(13,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
	for (i=10;i<=15;i++)
	{
    	MatrixCreateSurface(15,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
	for (i=2;i<=6;i++)
	{
    	MatrixCreateSurface(4,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
	for (i=10;i<=11;i++)
	{
    	MatrixCreateSurface(5,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
    	MatrixCreateSurface(10,i,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
	}
   	MatrixCreateSurface(11,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(12,5,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(16,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);
   	MatrixCreateSurface(17,13,"image/objects.bmp",NUMFRAMESOBJECTS,0,6);

	//MEGA BALLS
 
	MatrixCreateSurface(1,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(1,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,1,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);
 	MatrixCreateSurface(MAXMATRIXX-2,MAXMATRIXY-2,"image/objects.bmp",NUMFRAMESOBJECTS,0,7);

}

//////////   5TH LEVEL    ////////////

VOID BltMatrixLevel()
{
	long i, j;
	for (j=0; j<MAXMATRIXY;j++)
	{
		for (i=0;i<MAXMATRIXX;i++)
		{
			if (matrixlevel[i][j].visibilita)
			window->Blt((DWORD)matrixlevel[i][j].sprite.fposx,(DWORD)matrixlevel[i][j].sprite.fposy,matrixlevel[i][j].surface,&frameobjects[matrixlevel[i][j].nframe]);
		}					
	}
}