#include <ddraw.h>
#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include "ddutil.h"
#include "ddutil2.h"
#include "global.h"
#include "levels.h"
#include "objects.h"
#include "pac.h"

BOOL g_bActive = TRUE;
TCHAR scr;

//************		PROTOTIPI      ************//

void	ReleaseObject();
LRESULT CALLBACK WindowProc( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );
BOOL	InitScreen(HINSTANCE hInst, int nCmdShow);
int		APIENTRY WinMain( HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR pCmdLine, int nCmdShow );
VOID UpdateFrame();

//************		PROTOTIPI      ************//

void ReleaseObject()
{
	if (window!=NULL)
	{
		window->DestroyObjects();
		window=NULL;
	}
}

BOOL InitScreen(HINSTANCE hInst, int nCmdShow)
{
	WNDCLASS wc;
    HRESULT             hr;
	HWND		hWnd;
	DDSURFACEDESC		ddsd;

    window = new CDisplay();
	wc.style = CS_HREDRAW | CS_VREDRAW;
	wc.lpfnWndProc = WindowProc;
	wc.cbClsExtra = 0;
	wc.cbWndExtra = 0;
	wc.hInstance = hInst;
	wc.hIcon = LoadIcon( hInst, IDI_APPLICATION );
	wc.hCursor = NULL;
	wc.hbrBackground = NULL;
	wc.lpszClassName = APPTITLE;
	wc.lpszMenuName = APPTITLE;
	RegisterClass(&wc);
	
    hWnd = CreateWindowEx( 0, APPTITLE, APPTITLE, WS_POPUP, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, NULL, NULL, hInst, NULL );
	if (!hWnd)
		return FALSE;

	ShowWindow(hWnd, nCmdShow);
	UpdateWindow(hWnd);
    if( FAILED( hr = window->CreateFullScreenDisplay( hWnd, 800, 600, 16) ) )
    {
        return FALSE;
    }
	ddsd.dwSize = sizeof( ddsd );
	ddsd.dwFlags = DDSD_CAPS | DDSD_BACKBUFFERCOUNT;
	ddsd.ddsCaps.dwCaps = DDSCAPS_PRIMARYSURFACE | DDSCAPS_FLIP | DDSCAPS_COMPLEX;
	ddsd.dwBackBufferCount = 1;
	InitMainMenu();
	UpdateFrame();
	SetTimer(hWnd,1,10000,NULL);// TIMER VULNERABILITA'
	SetTimer(hWnd,2,60,NULL);	// TIMER PHANTOM
	SetTimer(hWnd,3,4000,NULL); // TIMER PHANTOMCAUGHT 1
	SetTimer(hWnd,4,4000,NULL); // TIMER PHANTOMCAUGHT 2
	SetTimer(hWnd,5,4000,NULL); // TIMER PHANTOMCAUGHT 3
	SetTimer(hWnd,6,4000,NULL); // TIMER PHANTOMCAUGHT 4
	SetTimer(hWnd,7,3000,NULL); // TIMER GAME OVER
  return TRUE;
}





LRESULT CALLBACK WindowProc( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam )
{
    switch (msg)
    {
        case WM_SIZE:

            if( SIZE_MAXHIDE==wParam || SIZE_MINIMIZED==wParam )
                g_bActive = FALSE;
            else
                g_bActive = TRUE;
        break;

		case WM_KEYDOWN:
			switch (wParam)
			{
			case VK_DOWN:
				if(menu==1)
				{
					if(!endgame)
					{
						if(!pausedgame)
						{
							pac.position=3;
							if (pac.turno)
								pac.turno=FALSE;
							else
								pac.turno=TRUE;
							if(!levelup) 
							{
								if (matrixlevel[pac.poscellx][pac.poscelly+1].collisione==0)
								{
									pac.pos.fposy += MAXMOVE;
									pac.poscelly++;
									if ((matrixlevel[pac.poscellx][pac.poscelly].nframe==7) && (matrixlevel[pac.poscellx][pac.poscelly].visibilita))
										vulnerability=true;
									if (matrixlevel[pac.poscellx][pac.poscelly].visibilita)
									{
										matrixlevel[pac.poscellx][pac.poscelly].visibilita=false;
										ball_catch++;
										points+=SCOREBALL;
									}
								for(int i=0; i<=3; i++)
								{
									if(CollisionPacPhantomsControl(i))
										UpdateFrame();
								}
							}
							}
						}
					}
				}
			break;
			case VK_UP:
				if(menu==1)
				{
					if(!endgame)
					{
						if(!pausedgame)
						{
							pac.position=1;
							if (pac.turno)
								pac.turno=FALSE;
							else
								pac.turno=TRUE;
							if(!levelup) 
							{
								if (matrixlevel[pac.poscellx][pac.poscelly-1].collisione==0)
								{
									pac.pos.fposy -= MAXMOVE;
									pac.poscelly--;
									if ((matrixlevel[pac.poscellx][pac.poscelly].nframe==7) && (matrixlevel[pac.poscellx][pac.poscelly].visibilita))
										vulnerability=true;
									if (matrixlevel[pac.poscellx][pac.poscelly].visibilita)
									{
										matrixlevel[pac.poscellx][pac.poscelly].visibilita=false;
										ball_catch++;
										points+=SCOREBALL;
									}
									for(int i=0; i<=3; i++)
									{
										if(CollisionPacPhantomsControl(i))
											UpdateFrame();
									}
								}
							}
						}
					}
				}
			break;
			case VK_RIGHT:
				if(menu==1)
				{
					if (!endgame)
					{
						if(!pausedgame)
						{
							pac.position=2;
							if (pac.turno)
								pac.turno=FALSE;
							else
								pac.turno=TRUE;
							if(!levelup) 
							{
								if (matrixlevel[pac.poscellx+1][pac.poscelly].collisione==0)
								{
									pac.pos.fposx += MAXMOVE;
									pac.poscellx++;
									if ((matrixlevel[pac.poscellx][pac.poscelly].nframe==7) && (matrixlevel[pac.poscellx][pac.poscelly].visibilita))
										vulnerability=true;
									if (matrixlevel[pac.poscellx][pac.poscelly].visibilita)
									{
										matrixlevel[pac.poscellx][pac.poscelly].visibilita=false;
										ball_catch++;
										points+=SCOREBALL;
									}
									for(int i=0; i<=3; i++)
									{
										if(CollisionPacPhantomsControl(i))
											UpdateFrame();
									}
								}
							}
						}
					}
				}
			break;
			case VK_LEFT:
				if(menu==1)
				{
					if(!endgame)
					{
						if(!pausedgame)
						{
							pac.position=4;
							if (pac.turno)
								pac.turno=FALSE;
							else
								pac.turno=TRUE;
							if(!levelup) 
							{
								if (matrixlevel[pac.poscellx-1][pac.poscelly].collisione==0)
								{
									pac.pos.fposx -= MAXMOVE;
									pac.poscellx--;
									if ((matrixlevel[pac.poscellx][pac.poscelly].nframe==7) && (matrixlevel[pac.poscellx][pac.poscelly].visibilita))
										vulnerability=true;
									if (matrixlevel[pac.poscellx][pac.poscelly].visibilita)
									{
										matrixlevel[pac.poscellx][pac.poscelly].visibilita=false;
										ball_catch++;
										points+=SCOREBALL;
									}
									for(int i=0; i<=3; i++)
									{
										if(CollisionPacPhantomsControl(i))
											UpdateFrame();
									}
								}
							}
						}
					}
				}
			 break;
			 case VK_SPACE:
				 if(menu==1)
				 {
					 if(!endgame)
					 {
						 if(pausedgame)
							 pausedgame = false;
						 else
						 {
							 pausedgame = true;
							 UpdateFrame();
						 }
					 }
				 }
				 else
				 {
					 menu = 1;
				 	 InitTotalBalls();	
					 InitMatrixLevel1();
					 InitPacMan();
					 InitPhantoms();
					 ball_catch = 0;
					 endgame = false;
					 level = 1;
				 }
			 break;
			 case VK_ESCAPE:
				ReleaseObject();
		        PostQuitMessage( 0 );
			 break;
			}
			 case WM_TIMER:
				if(menu==1)
				{
					switch(wParam)
					{
						case 1:
							if (vulnerability)
							{
								if(!pausedgame)
									vulnerability=false;
								UpdateFrame();
							}
						break;
						case 2:
							if( (!pausedgame) && (!endgame) )
							{
								MovePhantoms();
	    						UpdateFrame();
							}
						break;
						case 3:
							if(phantomcaught[0])
							{
								phantom[0].nframe = 0;
								phantomcaught[0] = false;
							}
						break;
						case 4:
							if(phantomcaught[1])
							{
								phantom[1].nframe = 1;
								phantomcaught[1] = false;
							}
						break;
						case 5:
							if(phantomcaught[2])
							{
								phantom[2].nframe = 2;
								phantomcaught[2] = false;
							}
						break;
						case 6:
							if(phantomcaught[3])
							{
								phantom[3].nframe = 3;
								phantomcaught[3] = false;
							}
						break;
						case 7:
							if(endgame)
							{
								UpdateFrame();
								window->Clear(0);
								menu = 0;
							}
						break;
					}
				}
				else
				{
					switch(wParam)
					{
						case 7:
							if(endgame)
							{
								UpdateFrame();
								window->Clear(0);
								menu = 0;
							}
						break;
					}
				}
			break;
      case WM_DESTROY:
            ReleaseObject();
            PostQuitMessage( 0 );
			break;
    }
    return DefWindowProc(hWnd, msg, wParam, lParam);
}

int APIENTRY WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR pCmdLine, int nCmdShow )
{
    MSG		 msg;
	SetCursor(NULL);
	srand((unsigned) time (NULL));
    if( !InitScreen(hInstance,nCmdShow) ) 
    {
        return FALSE;
    }
    while( TRUE )
    {
        if( PeekMessage( &msg, NULL, 0, 0, PM_NOREMOVE ) )
        {
            if( 0 == GetMessage(&msg, NULL, 0, 0 ) )
            {
                return (int)msg.wParam;
            }

            TranslateMessage( &msg ); 
            DispatchMessage( &msg );
        }
        else 
			if (g_bActive) 	
			{
			}
			else WaitMessage();
    }
}

VOID UpdateFrame()
{
	if(menu==0)
	{
		window->Clear(0);
		MainMenu();
		window->Present();
	}
	else
	{
		if (!pausedgame)
		{
			window->Clear(0);
			if(levelup)
			{
				InitPacMan();
				InitPhantoms();
				levelup = false;
				vulnerability = false;
			}
			BltMatrixLevel();
			BltPacMan();
			BltPhantoms();
			InsertText(text,"SCORE",RGB(0,0,0),RGB(255,0,0),670,250,window,20,0,0,0,FALSE,FALSE,FALSE,FALSE,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,DEFAULT_PITCH,"VERDANA");
			InsertText(text,itoa(points,&scr,10),RGB(0,0,0),RGB(255,255,255),670,300,window,20,0,0,0,FALSE,FALSE,FALSE,FALSE,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,DEFAULT_PITCH,"VERDANA");
			if(endgame)
				GameOver();
		}
		else
		{
			InsertText(text,"PAUSED",RGB(0,0,0),RGB(0,255,0),670,450,window,24,0,0,0,FALSE,FALSE,FALSE,FALSE,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,DEFAULT_PITCH,"VERDANA");
		}
 		window->Present();
		ControlTotalBalls();
	}
}