#define			NUMFRAMESPHANTOMS	6

RECT			framephantoms[NUMFRAMESPHANTOMS];

//************		PROTOTIPI      ************//

VOID InitArrayPhantoms();
VOID InitPhantoms();
VOID BltPhantoms();
VOID MovePhantoms();

//************		PROTOTIPI      ************//

VOID InitArrayPhantoms()
{
	long i;
  for(i=0; i<NUMFRAMESPHANTOMS;i++)
  {
      framephantoms[i].top    = (i / NUMFRAMESPHANTOMS) * SPRITEHEIGHT;
      framephantoms[i].left   = (i % NUMFRAMESPHANTOMS) * SPRITEWIDTH;

      framephantoms[i].bottom = framephantoms[i].top  + SPRITEHEIGHT;
      framephantoms[i].right  = framephantoms[i].left + SPRITEWIDTH;
  }
}

VOID InitPhantoms()
{
	InitArrayPhantoms();

	phantom[0].nframe =0;
	phantom[0].poscellx=1;
	phantom[0].poscelly=1;
	window->CreateSurfaceFromBitmap(&phantom[0].surface,"image/phantoms.bmp",SPRITEWIDTH*NUMFRAMESPHANTOMS,SPRITEHEIGHT);
	phantom[0].surface->SetColorKey(0);
	phantom[0].pos.fposx = (SPRITEWIDTH * phantom[0].poscellx) + SPACEXMIN;
	phantom[0].pos.fposy = (SPRITEHEIGHT * phantom[0].poscelly) + SPACEYMIN;
	phantomcaught[0] = false;

	phantom[1].nframe =1;
	phantom[1].poscellx=18;
	phantom[1].poscelly=1;
	window->CreateSurfaceFromBitmap(&phantom[1].surface,"image/phantoms.bmp",SPRITEWIDTH*NUMFRAMESPHANTOMS,SPRITEHEIGHT);
	phantom[1].surface->SetColorKey(0);
	phantom[1].pos.fposx = (SPRITEWIDTH * phantom[1].poscellx) + SPACEXMIN;
	phantom[1].pos.fposy = (SPRITEHEIGHT * phantom[1].poscelly) + SPACEYMIN;
	phantomcaught[1] = false;

	phantom[2].nframe =2;
	phantom[2].poscellx=1;
	phantom[2].poscelly=16;
	window->CreateSurfaceFromBitmap(&phantom[2].surface,"image/phantoms.bmp",SPRITEWIDTH*NUMFRAMESPHANTOMS,SPRITEHEIGHT);
	phantom[2].surface->SetColorKey(0);
	phantom[2].pos.fposx = (SPRITEWIDTH * phantom[2].poscellx) + SPACEXMIN;
	phantom[2].pos.fposy = (SPRITEHEIGHT * phantom[2].poscelly) + SPACEYMIN;
	phantomcaught[2] = false;

	phantom[3].nframe =3;
	phantom[3].poscellx=18;
	phantom[3].poscelly=16;
	window->CreateSurfaceFromBitmap(&phantom[3].surface,"image/phantoms.bmp",SPRITEWIDTH*NUMFRAMESPHANTOMS,SPRITEHEIGHT);
	phantom[3].surface->SetColorKey(0);
	phantom[3].pos.fposx = (SPRITEWIDTH * phantom[3].poscellx) + SPACEXMIN;
	phantom[3].pos.fposy = (SPRITEHEIGHT * phantom[3].poscelly) + SPACEYMIN;
	phantomcaught[3] = false;

}

VOID BltPhantoms()
{
	if (!vulnerability)
	{
		window->Blt((DWORD)phantom[0].pos.fposx,(DWORD)phantom[0].pos.fposy,phantom[0].surface,&framephantoms[phantom[0].nframe]);
		window->Blt((DWORD)phantom[1].pos.fposx,(DWORD)phantom[1].pos.fposy,phantom[1].surface,&framephantoms[phantom[1].nframe]);
		window->Blt((DWORD)phantom[2].pos.fposx,(DWORD)phantom[2].pos.fposy,phantom[2].surface,&framephantoms[phantom[2].nframe]);
		window->Blt((DWORD)phantom[3].pos.fposx,(DWORD)phantom[3].pos.fposy,phantom[3].surface,&framephantoms[phantom[3].nframe]);
	}
	else
	{
		for (int i=0; i<4; i++)
		{
			if(!phantomcaught[i])
				window->Blt((DWORD)phantom[i].pos.fposx,(DWORD)phantom[i].pos.fposy,phantom[i].surface,&framephantoms[4]);
			else
				window->Blt((DWORD)phantom[i].pos.fposx,(DWORD)phantom[i].pos.fposy,phantom[i].surface,&framephantoms[5]);
		}
 	}
}

VOID MovePhantoms()
{
  long i,n;
  for (i=0;i<=3;i++)
  {
	CollisionPacPhantomsControl(i);
	n = (long) (rand() % 4);
	switch(n)
	{
		case 0: //DESTRA
			if(matrixlevel[phantom[i].poscellx+1][phantom[i].poscelly].collisione==0)
			{
				phantom[i].pos.fposx+=MOVEPHANTOMS;
				phantom[i].poscellx++;
			}
		break;
		case 1: //SINISTRA
			if(matrixlevel[phantom[i].poscellx-1][phantom[i].poscelly].collisione==0)
			{
				phantom[i].pos.fposx-=MOVEPHANTOMS; 
				phantom[i].poscellx--;
			}
		break;
		case 2: //SU
			if(matrixlevel[phantom[i].poscellx][phantom[i].poscelly-1].collisione==0)
			{
				phantom[i].pos.fposy-=MOVEPHANTOMS; 
				phantom[i].poscelly--;
			}
		break;
		case 3: //GIU'
			if(matrixlevel[phantom[i].poscellx][phantom[i].poscelly+1].collisione==0)
			{
				phantom[i].pos.fposy+=MOVEPHANTOMS;
  				phantom[i].poscelly++;
			}
		break;
	}
  }
}